DB_ENV->get_open_flags()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_open_flags()

    #include <db.h>

    int
    DB_ENV->get_open_flags(DB_ENV *dbenv, u_int32_t *flagsp);

The `DB_ENV->get_open_flags()` method returns the open method flags originally used to create the database environment.

The `DB_ENV->get_open_flags()` method may not be called before the `DB_ENV->open()` method is called.

The `DB_ENV->get_open_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB_ENV->get_open_flags()` method returns the open method flags originally used to create the database environment in flagsp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods, DB_ENV->open()

Prev | Up | Next
DB_ENV->get_msgfile() | Home | DB_ENV->get_shm_key()